Bug 118578 - Master Document: insert text from file doesn't work
Summary: Master Document: insert text from file doesn't work
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3 all versions
Hardware: All All
: medium normal
Assignee: Michael Stahl
URL:
Whiteboard: target:6.2.0 target:6.0.6 target:6.1.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-07-06 13:09 UTC by Olivier Hallot
Modified: 2018-07-11 15:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2018-07-06 13:09:26 UTC
The situation is the following

1) Create a new Master document
2) Go to Insert -> Text from file..., select file to insert, hit OK

Results: Nothing happens

Expected results: The contents of the selected file should have been added (imported) to Master document.
Comment 1 Drew Jensen 2018-07-06 13:57:18 UTC
Well, I can confirm (using Ubuntu 18.04) that the top level menu Insert (then 'Text from file') does not do anything in versions 6.1 RC1, 6.0.5 and 5.4.7.2

If you insert text from file using the context menu or toolbutton in the navigator dialog that does work.
Comment 2 Drew Jensen 2018-07-06 14:11:58 UTC
There is no open issue for this that I can find.

From everything I read the only way to insert a file in a Master Document is through the navigator.

So, Olivier, I think the summary should change and the bug is that the insert menu items should not be enabled in Master Document mode.
Comment 3 Xisco Faulí 2018-07-09 13:14:49 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=805fd1ca343d6295b8114a24cc29bdac332f266d

author	Michael Stahl <mstahl@redhat.com>	2014-05-19 18:31:54 +0200
committer	Michael Stahl <mstahl@redhat.com>	2014-05-19 18:49:46 +0200
commit	805fd1ca343d6295b8114a24cc29bdac332f266d (patch)
tree	211aae439d8a9df0d4927b04fff0a22f2c03b223
parent	184e4ef35641403fd293262ee413ceee37b3761a (diff)
fdo#78742: SfxFilterMatcher: respect requested document service if set
sfx2::DocumentInserter::CreateMediumList() creates a SfxFilterMatcher
that should match Writer filters only, but actually Calc filters may be
returned; check that the document service matches.

Bisected with: bibisect-43max

Adding Cc: to Michael Stahl
Comment 4 Michael Stahl 2018-07-10 08:25:48 UTC
fixed on master
Comment 5 Commit Notification 2018-07-10 08:25:54 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=572b298e636612416b8223ff6e6f2d26ab51a243

tdf#118578 sw: allow inserting only TextDocument

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-07-10 11:04:15 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3bd5ff846120f65d21a8dfdf9cf5253669c68554&h=libreoffice-6-0

tdf#118578 sw: allow inserting only TextDocument

It will be available in 6.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-07-10 11:04:26 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=41ffdacaaadce2c1bbbff216c86359e9813efb21&h=libreoffice-6-1

tdf#118578 sw: allow inserting only TextDocument

It will be available in 6.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2018-07-11 15:00:16 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 4b345f95ce7cb09011892bf465cfdf3811adaf8e
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

@Michael Stahl, thanks for fixing this!!